:root {
    --headerBgColor: #fffef8;
    --logoMainColor: #fff;
    --logoSecColor: #325aef;
    --burgerColor: #111;
    --navigationColor: #fff;
    --header-h: 64px;
}

header {
    background-color: transparent;
    position: fixed;
    left: 0;
    right: 0;
    padding: 10px 0;
    /* top: 20px; */
    top: 0;
    z-index: 1000;
    overflow: visible;
    font-weight: 400;
}
/* start onboard */
header.onBoard {
    /* background-color: #fff; */
    background-color: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    top: 0;
    color: #111;
    box-shadow: 0 2px 10px rgba(17, 17, 17, 0.15);
    /* border-bottom: 1px solid #111; */
}
header.onBoard .headerLI a {
    color: #111;
}
header.onBoard .buttonPhone {
    color: #111;
}
header.onBoard .headerLI a::before {
    background-color: #111;
}

header.onBoard .hamburger .bar {
    background-color: #111;
}

header.onBoard .headerLI.active a {
    color: #fff;
}
header.onBoard .headerLI.active {
    color: #fff;
}

/* and onboard */
.headerContainer {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-nav ul {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

header li {
    list-style: none;
}

.domain-logo {
    position: relative;
    z-index: 995;
    font-weight: 900;
    font-size: 24px;
    text-decoration: none;
    color: var(--logoMainColor);
}
.domain-logo span {
    color: var(--logoSecColor);
}

.domain-logo img {
    width: 120px;
}
/* ---- */
.visuallyHidden {
    position: absolute;
    overflow: hidden;
    clip: rect(0 0 0 0);
    height: 1px;
    width: 1px;
    margin: -1px;
    padding: 0;
    border: 0;
}
/* HAMBURGER 1 */
.hamburger {
    margin: 0 auto;
    width: 30px;
    height: 25px;
    position: relative;
    cursor: pointer;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}

.hamburger .bar {
    padding: 0;
    width: 30px;
    height: 3px;
    background-color: #fff;
    display: block;
    border-radius: 4px;
    transition: all 0.4s ease-in-out;
    position: absolute;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    -o-border-radius: 4px;
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    -ms-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
}

.bar1 {
    top: 0;
}

.bar2,
.bar3 {
    top: 11px;
}

.bar3 {
    right: 0;
}

.bar4 {
    bottom: 0;
}

.checkbox1.active + label > .hamburger1 > .bar {
    background-color: #fff;
}

.checkbox1.active + label > .hamburger1 > .bar1 {
    transform: rotate(45deg);
    transform-origin: 5%;
    width: 35px;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
}

.checkbox1.active + label > .hamburger1 > .bar2 {
    transform: translateX(-40px);
    background-color: transparent;
    -webkit-transform: translateX(-40px);
    -moz-transform: translateX(-40px);
    -ms-transform: translateX(-40px);
    -o-transform: translateX(-40px);
}

.checkbox1.active + label > .hamburger1 > .bar3 {
    transform: translateX(40px);
    background-color: transparent;
    -webkit-transform: translateX(40px);
    -moz-transform: translateX(40px);
    -ms-transform: translateX(40px);
    -o-transform: translateX(40px);
}

.checkbox1.active + label > .hamburger1 > .bar4 {
    transform-origin: 5%;
    transform: rotate(-45deg);
    width: 35px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
}
.stopScroll {
    overflow: hidden;
}

.checkbox1 {
    display: none;
}
.rnavButton {
    padding: 12px 20px;
    color: #111;
    border-radius: 12px;
    cursor: pointer;
    -webkit-border-radius: 12px;
    -moz-border-radius: 12px;
    -ms-border-radius: 12px;
    -o-border-radius: 12px;
    font-size: 20px;
}

.buttonPhone {
    color: #fff;
    padding-left: 0;
}

.label {
    display: none;
}

.headerLI a {
    color: var(--navigationColor);
    text-decoration: none;
    position: relative;
}

.headerLI a:hover::before {
    width: 100%;
}

.headerLI a::before {
    position: absolute;
    content: '';
    width: 0;
    height: 2px;
    left: 0;
    bottom: -7px;
    background-color: #fff;
    transition: 0.3s all linear;
    -webkit-transition: 0.3s all linear;
    -moz-transition: 0.3s all linear;
    -ms-transition: 0.3s all linear;
    -o-transition: 0.3s all linear;
}
@media (max-width: 800px) {
    header {
        padding: 10px;
    }
    .rnavButton {
        display: none;
    }
    .checkbox1 {
        display: flex;
    }

    .label {
        display: flex;
    }
    .header-nav {
        position: fixed;
        inset: 0;
        width: 100vw;
        user-select: none;
        pointer-events: none;
        height: 100vh;
        display: flex;
        justify-content: center;
        transition: 0.3s all linear;
        -webkit-transition: 0.3s all linear;
        -moz-transition: 0.3s all linear;
        -ms-transition: 0.3s all linear;
        -o-transition: 0.3s all linear;
        /* background-color: rgba(17, 17, 17, 0.5); */
    }

    .header-nav ul {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 0;
        padding-left: 0;
        pointer-events: none;
        user-select: none;
    }
    .header-nav ul::before {
        content: '';
        position: absolute;
        left: -20px;
        top: -40px;
        width: 120%;
        height: 120%;
        z-index: -1;
        background-color: #111;
        filter: blur(5px);
        -webkit-filter: blur(5px);
        opacity: 0;
        transition: 0.3s all linear;
        -webkit-transition: 0.3s all linear;
        -moz-transition: 0.3s all linear;
        -ms-transition: 0.3s all linear;
        -o-transition: 0.3s all linear;
        pointer-events: none;
        user-select: none;
    }
    .header-nav ul.active::before {
        opacity: 0.99;
    }

    .header-nav ul.active {
        pointer-events: all;
        user-select: all;
    }

    .headerLI a {
        color: #fff;
        text-decoration: none;
        text-transform: uppercase;
        font-size: 24px;
    }

    .headerLI {
        user-select: none;
        pointer-events: none;
        opacity: 0;
        transition: 0.2s all linear;
        -webkit-transition: 0.2s all linear;
        -moz-transition: 0.2s all linear;
        -ms-transition: 0.2s all linear;
        -o-transition: 0.2s all linear;
    }

    .headerLI.active {
        opacity: 1;
        user-select: all;
        pointer-events: all;
    }
    .headerLI.active:nth-child(1) {
        transition-delay: 0.3s;
    }

    .headerLI.active:nth-child(2) {
        transition-delay: 0.4s;
    }
    .headerLI.active:nth-child(3) {
        transition-delay: 0.5s;
    }
    .headerLI.active:nth-child(4) {
        transition-delay: 0.6s;
    }
    .headerLI.active:nth-child(5) {
        transition-delay: 0.7s;
    }
}
